// mydoc.h
#ifndef MYDOC_H_INCLUDED
#define MYDOC_H_INCLUDED

#include "myconten.h"

namespace mylib
{

class CMyDoc
{
public:
	CMyDoc();
	CMyDoc(CMyContent* pContent);
	CMyDoc(const CMyDoc& src);
	virtual ~CMyDoc();
	CMyDoc& operator=(const CMyDoc& src);
	SIZE Size(HDC hdc);
	int Draw(HDC hdc, int x, int y, PAINTSTRUCT& ps);

protected:
	int* m_pCounter;
	CMyContent* m_pContent;
};

}	// namespace mylib
#endif	// MYDOC_H_INCLUDED
